# pixelbattle

Self-hosted pixel battle written in NodeJS

# Deploying

## Traditional:
To deploy this pixelbattle, you need to:

1. Clone this repo:
	`git clone https://git.foxarmy.org/leca/pixelbattle`
2. Install node deps:
	`npm install`
3. Run:
	`npm run prod`
4. To update:
	`git pull`
	`npm install`

## Docker:
1. Clone this repo:
	`git clone https://git.foxarmy.org/leca/pixelbattle`
2. Build docker image:
	`docker-compose up --build`
3. After building, you can just run it:
	`docker-compose up -d`
4. To update:
	`git pull`
	`docker-compose up --build`

That's it!

# Tips & tricks

1. Server settings are located in `./pb-data/settings.json`, you need to change serverAddress after frist launch in order to deploy

2. When catches SIGUSR1, server will save a board with name read from settings file. SIGINT (CTRL + C) and SIGTERM does the same but exit server when board is saved
 
